
Installer - Bug #34668

Feature # 34669 (Duplicate): Upgrade to pulpcore 3.18

upgrading to pulpcore 3.18 *may* require a change to AUTHENTICATION_BACKENDS

03/23/2022 04:16 PM - Justin Sherrill

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Its unclear yet, but opening for documentation, we may need to update our pulp installation to use:

AUTHENTICATION_BACKENDS = [

'django.contrib.auth.backends.RemoteUserBackend',

]

related to https://github.com/pulp/pulpcore/issues/2260

after some discussion we think its unlikley this will actually need to be done, but i wanted to open an issue to capture it in case it

does.

History

#1 - 03/23/2022 04:18 PM - Justin Sherrill

- Parent task set to #34669

#2 - 03/23/2022 07:02 PM - Brian Bouterse

I revised the Pulp docs here based on some of my testing: https://github.com/pulp/pulpcore/pull/2399/files

To recap the convo where we determined we don't think katello needs a change:

1. katello creates the 'admin' user in its installer (this is a django user in pulp's DB created with pulpcore-manager ...)

2. The external auth configured today is expected to receive the 'admin' user from the DB

3. Because the user exists in the DB, and that user is an admin, the default permission_classes of Pulp should continue to allow everything to work

since admins pass all permissions checks.

#3 - 07/08/2022 07:55 PM - Ian Ballou

- Status changed from New to Rejected

Closing since it's not needed.
